<!-- hide scripts from silly old browsers

//functions containing text or other elements that may need to be localized

//Smuggler help navigation

function smartLink(targetList) {
//handle links with multiple targets.
//targets are passed as items in a targetList array
//with the URL for each target followed by its title
//thus a single target the value of targetList would be "['myURL.htm', 'My Title']"
	
	//In the case of a single target, just go there
	if (targetList.length <= 3) { //3 'cuz the array may end with an extra comma if written by a stylesheet
		parent.topic.location.href=targetList[0];

	//If multiple targets are specified, list the topics so the user can choose
	} else {
	

		var newContent = "<HTML><HEAD>\n";
		newContent += "<SCRIPT type=\"text/javascript\" src=\"../helploc.js\"></SCRIPT>\n";
		newContent += "<TITLE>Topics Found</TITLE>\n</HEAD>\n";
		newContent += '<BODY><H1 style="font-family:Verdana, Arial, Helvetica, sans-serif; font-size:x-small; font-weight:bold;">Select a topic:</H1>\n';

			for(var i = 0; i < targetList.length; i+=2) {
				if (targetList[i] != null) {
					newContent += '<div style="display:block; font-family:Verdana; font-size:x-small; margin-top:4px">'
					newContent += '<A href="' + targetList[i] + '">' + targetList[i+1] + "</A><BR>"
					newContent += '</div>\n'
				}
			}

		newContent += "</BODY>\n</HTML>";
		parent.topic.document.write(newContent);
		parent.topic.document.close(); //close layout stream
	}
}


function smartLinkNF(targetList) {
//version of smartLink customized to handle "no frame" implementation of web help.
//basically this means we pipe output to a layer rather than a frame.
	
	//In the case of a single target, just go there
	if (targetList.length <= 3) { //3 'cuz the array may end with an extra comma if written by a stylesheet
		parent.location.href=targetList[0];

	//If multiple targets are specified, list the topics so the user can choose
	} else {
	

		var newContent = "<HTML><HEAD>\n";
		newContent += "<TITLE>Topics Found</TITLE>\n</HEAD>\n";
		newContent += '<div class="topicblock"><H1 style="font-family:Verdana; font-size:x-small; font-weight:bold; color:008080">Select a topic:</H1>\n';

			for(var i = 0; i < targetList.length; i+=2) {
				if (targetList[i] != null) {
					newContent += '<div style="display:block; font-family:Verdana; font-size:x-small; margin-top:4px">'
					newContent += '<A href="' + targetList[i] + '">' + targetList[i+1] + "</A><BR>"
					newContent += '</div>\n'
				}
			}

		newContent += "</div>\n</HTML>";
		parent.document.write(newContent);
		parent.document.close(); //close layout stream
	}
}



// end hiding scripts from silly old browswers -->
